summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLarry Knox <lrknox@hdfgroup.org>2024-02-13 14:42:39 (GMT)
committerLarry Knox <lrknox@hdfgroup.org>2024-02-14 22:11:04 (GMT)
commitca789406691d76d8c796ea05304a16a4aca4fa6f (patch)
treed3343e5055a3b9244f127ac33df12a106440079e
parentdb45d891ea613febcb5a1fa42f316a356b88a7b9 (diff)
downloadhdf5-ca789406691d76d8c796ea05304a16a4aca4fa6f.zip
hdf5-ca789406691d76d8c796ea05304a16a4aca4fa6f.tar.gz
hdf5-ca789406691d76d8c796ea05304a16a4aca4fa6f.tar.bz2
Don't add files and directories with names that begin with ., or that match *autom4te* to release tar & zip files. (#4009)
Filter messages with 'ulimit -s' out of test output for runTest.cmake.
-rwxr-xr-xbin/release2
-rw-r--r--config/cmake/runTest.cmake1
2 files changed, 2 insertions, 1 deletions
diff --git a/bin/release b/bin/release
index 26a756c..5eb8b8c 100755
--- a/bin/release
+++ b/bin/release
@@ -466,7 +466,7 @@ done
# Create the tar file
test "$verbose" && echo " Running tar..." 1>&2
-(cd "$tmpdir" && exec tar -ch --exclude-vcs -f "$HDF5_VERS.tar" "./$HDF5_IN_VERS" || exit 1 )
+(cd "$tmpdir" && exec tar -ch --exclude-vcs --exclude=*autom4te* --exclude=.clang-format --exclude=.codespellrc --exclude=.devcontainer --exclude=.git* --exclude=.h5chkright.ini -f "$HDF5_VERS.tar" "./$HDF5_IN_VERS" || exit 1 )
# Compress
#SHA256=$HDF5_VERS.sha256
diff --git a/config/cmake/runTest.cmake b/config/cmake/runTest.cmake
index d21765a..7fb9d3c 100644
--- a/config/cmake/runTest.cmake
+++ b/config/cmake/runTest.cmake
@@ -137,6 +137,7 @@ file (READ ${TEST_FOLDER}/${TEST_OUTPUT} TEST_STREAM)
string (FIND TEST_STREAM "_pmi_alps" TEST_FIND_RESULT)
if (TEST_FIND_RESULT GREATER -1)
string (REGEX REPLACE "^.*_pmi_alps[^\n]+\n" "" TEST_STREAM "${TEST_STREAM}")
+ string (REGEX REPLACE "^.*ulimit -s.*\n" "" TEST_STREAM "${TEST_STREAM}")
file (WRITE ${TEST_FOLDER}/${TEST_OUTPUT} ${TEST_STREAM})
endif ()